package org.jboss.tools.example.springmvc.messaging;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jboss.tools.example.springmvc.domain.entity.PaymentNotification;
import org.jboss.tools.example.springmvc.payment.PaymentProcessor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author Marius Bogoevici
 */
@Component
public class PaymentNotificationProcessor
{
   private static final Log LOG = LogFactory.getLog(PaymentNotificationProcessor.class);

   @Autowired
   private PaymentProcessor paymentProcessor;

   public void processPaymentNotification(PaymentNotification paymentNotification)
   {
	   LOG.info(paymentNotification + " received");
	   paymentProcessor.processPayment(paymentNotification.getAccountNumber(), paymentNotification.getAmount());
	   LOG.info(paymentNotification + " processed");

   }

}
